Skip to main content
GET
/
v1
/
portfolio
/
history
cURL
curl --request GET \
  --url https://external.vin.gs/api/v1/portfolio/history \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://external.vin.gs/api/v1/portfolio/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://external.vin.gs/api/v1/portfolio/history"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://external.vin.gs/api/v1/portfolio/history"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
[
  {
    "created_at": "<string>",
    "currency": "<string>",
    "id": "<string>",
    "total_amount_cents": 123,
    "user_id": "<string>",
    "vault_balances": [
      {
        "id": "<string>",
        "balance_cents": 123,
        "currency": "<string>"
      }
    ]
  }
]
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}

Authorizations

Authorization
string
header
required

Vings OAuth access token or personal access token (vng_pat_…). Use Authorization: Bearer ….

Query Parameters

timeRange
enum<string>
Available options:
1m,
3m,
6m,
1y

Response

Portfolio time series

created_at
string
required
currency
string | null
required
id
string
required
total_amount_cents
number
required
user_id
string | null
required
vault_balances
object[] | null